Summary:	Policy analysis tools for SELinux
Summary(pl.UTF-8):	Narzędzia do analizy polityk SELinuksa
Name:		setools
Version:	4.3.0
Release:	7
License:	GPL v2+ (tools), LGPL v2.1+ (libraries)
Group:		Applications/System
Source0:	https://github.com/SELinuxProject/setools/releases/download/%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	ba6e5ec442108eef481e3a3fbb25141d
Patch0:		no-Werror.patch
URL:		https://github.com/TresysTechnology/setools4/wiki
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	libsepol-devel >= 2.7
BuildRequires:	libsepol-static >= 2.7
BuildRequires:	python3-devel >= 1:3.3
BuildRequires:	python3-setuptools
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	swig-python >= 2.0.12
Suggests:	policy-sources
Requires:	python3-setools = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SETools is a collection of graphical tools, command-line tools, and
libraries designed to facilitate SELinux policy analysis.

The base package includes the following console tools:
- seaudit-report: audit log analysis tool
- sechecker: SELinux policy checking tool
- secmds command line tools: seinfo, sesearch, findcon, replcon, and
  indexcon
- sediff: semantic policy difference tool

%description -l pl.UTF-8
SETools to zbiór narzędzi graficznych, narzędzi linii poleceń oraz
bibliotek mających na celu ułatwienie analizy polityk SELinuksa.

Pakiet podstawowy zawiera narzędzia terminalowe:
- seaudit-report - narzędzie do analizy logu audytowego
- sechecker - narzędzie do sprawdzania polityk SELinuksa
- narzędzia linii poleceń secmds: seinfo, sesearch, findcon, replcon
  oraz indexcon
- sediff - narzędzie do znajdywania różnic semantycznych polityk

%package gui
Summary: Policy analysis graphical tools for SELinux
Summary(pl.UTF-8):	Graficzne narzędzia do analizy polityk SELinuksa
License:	GPL v2+
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}
Requires:	python3-setoolsgui = %{version}-%{release}

%description gui
SETools is a collection of graphical tools, command-line tools, and
libraries designed to facilitate SELinux policy analysis.

This package includes the following graphical tools:
- apol: policy analysis tool

%description gui -l pl.UTF-8
SETools to zbiór narzędzi graficznych, narzędzi linii poleceń oraz
bibliotek mających na celu ułatwienie analizy polityk SELinuksa.

Ten pakiet zawiera narzędzia graficzne:
- apol - narzędzie do analizy polityk

%package -n python-setools
Summary:	Python 2 bindings for SELinux policy analysis libraries
Summary(pl.UTF-8):	Wiązania Pythona 2 do bibliotek analizy polityk SELinuksa
License:	LGPL v2.1+ (core modules), GPL v2+ (seinfo and sesearch)
Group:		Libraries/Python
Requires:	python-enum34
Requires:	python-modules >= 1:2.7
Requires:	python-networkx >= 1.8
Suggests:	python-selinux

%description -n python-setools
SETools is a collection of graphical tools, command-line tools, and
libraries designed to facilitate SELinux policy analysis.

This package includes Python bindings for SELinux policy analysis
libraries.

%description -n python-setools -l pl.UTF-8
SETools to zbiór narzędzi graficznych, narzędzi linii poleceń oraz
bibliotek mających na celu ułatwienie analizy polityk SELinuksa.

Ten pakiet zawiera wiązania Pythona do bibliotek analizy polityk
SELinuksa.

%package -n python-setoolsgui
Summary:	SETools GUI modules for Python 2
Summary(pl.UTF-8):	Moduły graficznego interfejsu użytkownika SETools dla Pythona 2
Group:		Libraries/Python
Requires:	python-setools = %{version}-%{release}
Requires:	python-PyQt5 >= 5

%description -n python-setoolsgui
SETools GUI modules for Python 2.

%description -n python-setoolsgui -l pl.UTF-8
Moduły graficznego interfejsu użytkownika SETools dla Pythona 2.

%package -n python3-setools
Summary:	Python 3 bindings for SELinux policy analysis libraries
Summary(pl.UTF-8):	Wiązania Pythona 3 do bibliotek analizy polityk SELinuksa
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.3
Requires:	python3-networkx >= 1.8
Suggests:	python3-selinux

%description -n python3-setools
SETools is a collection of graphical tools, command-line tools, and
libraries designed to facilitate SELinux policy analysis.

This package includes Python bindings for SELinux policy analysis
libraries.

%description -n python3-setools -l pl.UTF-8
SETools to zbiór narzędzi graficznych, narzędzi linii poleceń oraz
bibliotek mających na celu ułatwienie analizy polityk SELinuksa.

Ten pakiet zawiera wiązania Pythona do bibliotek analizy polityk
SELinuksa.

%package -n python3-setoolsgui
Summary:	SETools GUI modules for Python 3
Summary(pl.UTF-8):	Moduły graficznego interfejsu użytkownika SETools dla Pythona 3
Group:		Libraries/Python
Requires:	python3-setools = %{version}-%{release}
Requires:	python3-PyQt5 >= 5

%description -n python3-setoolsgui
SETools GUI modules for Python 3.

%description -n python3-setoolsgui -l pl.UTF-8
Moduły graficznego interfejsu użytkownika SETools dla Pythona 3.

%prep
%setup -q -n %{name}
%patch0 -p1

%build
export SEPOL=%{_libdir}/libsepol.a

%py3_build

%install
rm -rf $RPM_BUILD_ROOT

export SEPOL=%{_libdir}/libsepol.a

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/sediff
%attr(755,root,root) %{_bindir}/sedta
%attr(755,root,root) %{_bindir}/seinfo
%attr(755,root,root) %{_bindir}/seinfoflow
%attr(755,root,root) %{_bindir}/sesearch
%{_mandir}/man1/sediff.1*
%{_mandir}/man1/sedta.1*
%{_mandir}/man1/seinfo.1*
%{_mandir}/man1/seinfoflow.1*
%{_mandir}/man1/sesearch.1*

%files gui
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/apol
%{_mandir}/man1/apol.1*

%files -n python3-setools
%defattr(644,root,root,755)
%doc COPYING ChangeLog KNOWN-BUGS README.md
%dir %{py3_sitedir}/setools
%{py3_sitedir}/setools/diff
%attr(755,root,root) %{py3_sitedir}/setools/policyrep.cpython-*.so
%{py3_sitedir}/setools/*.py
%{py3_sitedir}/setools/perm_map
%{py3_sitedir}/setools/__pycache__
%{py3_sitedir}/setools-%{version}-py*.egg-info

%files -n python3-setoolsgui
%defattr(644,root,root,755)
%{py3_sitedir}/setoolsgui
%changelog
* Wed Mar 30 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/setools.git;a=log;h=master

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 89be68b
- cleanup py3 module deps, rel 7

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> faa44a4
- Release 6 (by relup.sh)

* Mon Mar 28 2022 Jan Rękorajski <baggins@pld-linux.org> ce05613
- Release 5 (by relup.sh)

* Mon Mar 28 2022 Jan Rękorajski <baggins@pld-linux.org> 0846d9f
- Release 4 (by relup.sh)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 4243499
- rebuild with python 3.10

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> e9552e4
- rebuild with separate debuginfo build-ids

* Wed Mar 03 2021 Jan Rękorajski <baggins@pld-linux.org> 8614c0a
- up to 4.3.0

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 5fbbf66
- release 4 (by relup.sh)

* Sun Nov 03 2019 Jan Rękorajski <baggins@pld-linux.org> e904bba
- don't treat warning as errors, this code is not up to gcc 9 standards
- rel 3

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 0b2ecfb
- rebuild with python 3.8
- release 2 (by relup.sh)

* Sun Sep 22 2019 Jan Rękorajski <baggins@pld-linux.org> ffc3e54
- up to 4.2.2
- python2 support dropped upstream

* Wed Jul 18 2018 Jakub Bogusz <qboosh@pld-linux.org> 6822239
- added format-truncation patch from git (fixes build with -Werror=format-truncation)
- pass libsepol.a location (fixes build on x32 and in multilib environments)

* Wed Jul 18 2018 Jakub Bogusz <qboosh@pld-linux.org> deffcb0
- switched to setools 4 (withdrawn elements left in setools3.spec), updated to 4.1.1
- all patches obsolete

* Sat Oct 15 2016 Jakub Bogusz <qboosh@pld-linux.org> 99ab844
- updated download URL

* Thu May 05 2016 Jan Rękorajski <baggins@pld-linux.org> a25e192
- fix python bindings install
- rel 5

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 1142f39
- release 4 (by relup.sh)

* Mon Oct 26 2015 Jakub Bogusz <qboosh@pld-linux.org> 321aa06
- added x32 patch (add libx32 to search libdirs)
- added swig-version patch (allow swig 3.0.x)
- added sepol patch (adjust to current libsepol)
- added selinux patch (rely on recent libselinux instead of hack with weak extern, rejected by gcc 5 as conflicting declaration)
- release 3

* Sun Oct 25 2015 Jakub Bogusz <qboosh@pld-linux.org> b1492ea
- updated URLs

* Sun Jun 01 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> fa2db55
- tcl rebuild
- release 2 (by relup.sh)

* Thu Mar 06 2014 Jakub Bogusz <qboosh@pld-linux.org> 4df63b5
- new URLs, updated to 3.3.8
- removed outdated opt patch
- added swig patch (from git) + swig-part2 patch (inspired by gentoo patch) to allow build with swig 2.0.x
- added sh patch (fixes POSIX sh syntax in configure)
- added tcl patch (allows to pass TCLSH and WISH paths directly)
- added format patch (fixes build with -Werror=format-security)
- added link patch

